Name:		grisbi
Version:	0.8.8
Release:	5%{?dist}
Summary:	Personal finances manager

Group:		Applications/Productivity
License:	GPLv2+
URL:		http://www.grisbi.org
Source0:	http://dl.sf.net/grisbi/%{name}-%{version}.tar.bz2
Patch0:     grisbi-dso.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	gtk2-devel, libxml2-devel, glib2-devel, gettext
BuildRequires:	desktop-file-utils, libofx-devel >= 0.7.0
BuildRequires:  openssl-devel
BuildRequires:  intltool
# Only as long as we have to run autogen.sh
BuildRequires:  gettext-devel

Requires:	xdg-utils

%description
Grisbi is a very functional personal financial management program
with a lot of features: checking, cash and liabilities accounts,
several accounts with automatic contra entries, several currencies,
including euro, arbitrary currency for every operation, money
interchange fees, switch to euro account per account, description
of the transactions with third parties, categories, sub-categories,
financial year, notes, breakdown, transfers between accounts, even
for accounts of different currencies, bank reconciliation, scheduled
transactions, automatic recall of last transaction for every third
party, nice and easy user interface, user manual, QIF import/export.

%prep
%setup -q
%patch0 -p0 -b .dso
autoreconf

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
cp -f $RPM_BUILD_ROOT%{_datadir}/pixmaps/grisbi/grisbi.png \
    $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/grisbi.png


%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ABOUT-NLS
%attr(755,root,root) %{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/mime-info/%{name}.*
%{_datadir}/pixmaps/*
%{_datadir}/icons/hicolor/48x48/apps/grisbi.png
%{_datadir}/%{name}
%{_datadir}/doc/%{name}
%{_libdir}/%{name}
%{_mandir}/man1/%{name}.1.*


%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jul 10 2012 Bill Nottingham <notting@redhat.com> - 0.8.8-4
- rebuild for libofx ABI bump

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Oct 12 2011 Aurelien Bompard <abompard@fedoraproject.org> -  0.8.8-2
- fix build on rawhide

* Tue Oct 11 2011 Aurelien Bompard <abompard@fedoraproject.org> -  0.8.8-1
- version 0.8.8

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jul 06 2010 Aurelien Bompard <abompard@fedoraproject.org> -  0.6.0-3
- typo

* Tue Jul 06 2010 Aurelien Bompard <abompard@fedoraproject.org> -  0.6.0-2
- remove duplicate desktop file (#608255)

* Thu May 20 2010 Aurelien Bompard <abompard@fedoraproject.org> -  0.6.0-1
- version 0.6.0

* Wed May 05 2010 Aurelien Bompard <abompard@fedoraproject.org> -  0.5.9-11
- Fix build without ld's implicit linking
  (http://fedoraproject.org/wiki/UnderstandingDSOLinkChange)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.9-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.9-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Sep 10 2008 Bill Nottngham <notting@redhat.com> 0.5.9-8
- rebuild against new libofx

* Sat Sep 06 2008 Aurelien Bompard <abompard@fedoraproject.org> 0.5.9-7
- rediff patch0

* Sat Sep 06 2008 Aurelien Bompard <abompard@fedoraproject.org> 0.5.9-6
- use texlive instead of tetex

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.5.9-5
- Autorebuild for GCC 4.3

* Sun Oct 07 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.5.9-4
- use xdg-open instead of htmlview

* Sat Aug 25 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.5.9-3
- rebuild

* Sat Aug 25 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.5.9-2
- fix bug 248264
- fix license tag

* Wed Sep 27 2006 Aurelien Bompard <abompard@fedoraproject.org> 0.5.9-1
- version 0.5.9

* Wed Aug 30 2006 Aurelien Bompard <abompard@fedoraproject.org> 0.5.8-4
- rebuild

* Tue Aug 29 2006 Bill Nottingham <notting@redhat.com> 0.5.8-3
- rebuild against new libofx

* Tue Feb 21 2006 Aurelien Bompard <gauret[AT]free.fr> 0.5.8-2
- rebuild for fc5

* Sat Jan 21 2006 Aurelien Bompard <gauret[AT]free.fr> 0.5.8-1
- version 0.5.8

* Fri Dec 23 2005 Bill Nottingham <notting@redhat.com> 0.5.7-2
- rebuild against new libofx

* Sat Jun 11 2005 Aurelien Bompard <gauret[AT]free.fr> 0.5.7-1
- version 0.5.7

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 0.5.5-4.fc4
- rebuild on all arches

* Mon Mar 21 2005 Aurelien Bompard <gauret[AT]free.fr> 0.5.5-3.fc4
- BR libofx-devel >= 0.7.0
- change release tag for FC4

* Sat Feb 26 2005 Aurelien Bompard <gauret[AT]free.fr> 0.5.5-2
- rebuild for new libofx
- drop epoch

* Mon Jan 10 2005 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0:0.5.5-1
  - New version
  - Fix alternatives setup
* Sat Nov 27 2004 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0:0.5.3-0.fdr.1
  - New version
* Tue Nov 2 2004 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0:0.5.2-0.fdr.4
  - Rename htmlview patch
  - Force scriplet to return 0
* Fri Oct 29 2004 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0:0.5.2-0.fdr.3
  - Patch to fix bugs #468, #470
* Fri Oct 22 2004 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0:0.5.2-0.fdr.2
  - %{GRISBI_HELP_DIR}/${lang}/grisbi-manuel.html should be owned by the
    package.
  - Improve %post and %postun scripts depends upon whe are installing or
    upgrading.
* Fri Oct 15 2004 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0:0.5.2-0.fdr.1
  - New version
* Wed Sep 15 2004 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0:0.5.1-0.fdr.2
  - Use "alternatives" to manage separate documentation package
* Sat Jul 31 2004 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0:0.5.1-0.fdr.1
  - New version
  - Patches to fix some compilation warnings
  - Add %post and %preun scripts to manage separate documentation package
* Fri Jul 23 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.5.0-0.fdr.3
  - Fix typo in summary
  - Change category to "Office"
  - Change Terminal=0 to Terminal=false in desktop file
* Tue Jun 01 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.5.0-0.fdr.2
  - BR: libofx-devel to enable OFX import
* Mon May 31 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.5.0-0.fdr.1
  - Initial Fedora RPM
